#ifndef __LOADER_H_
#define __LOADER_H_

#include <stdio.h>
#include "directgem.h"

BYTE ReadByte(FILE *f);
WORD ReadWord(FILE *f);
DWORD ReadDword(FILE *f);
FLOAT ReadFloat(FILE *f);
DWORD ReadASCIIZ(FILE* f, TCHAR* str);
DWORD JumpThroughtChunk( FILE* inFile  );
DWORD ReadObjectInfo( FILE *inFile, TCHAR* name, WORD& parent );
DWORD ReadHierarchy( FILE* inFile, WORD& hierarchy );

#endif
